/*
 * @Author       : QTF
 * @Date         : 2021-10-14 09:22:10
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2021-10-14 16:50:54
 * @Description  : file content
 * @FilePath     : \PLAT\project\ec616_0h00\apps\qx_app\src\EmbeddedCoder_src\SPM.c
 */
#include "SPM.h"

boolean_T FirstRun_SPM;

void SPM_Init(void)
{
  SOH_Init();
  BLC_Init();
  SOC_Init();
  FirstRun_SPM = true;
}

void SPM(void)
{

  static uint16_T spmd_Nr_cellNr;

  uint8_T Feq = 10;
  if (FirstRun_SPM)
  {
    spmd_Nr_cellNr = 0;
    cand_Nr_cellNr = 1;
  }
  spmd_Nr_cellNr = spmd_Nr_cellNr + 1;
  if (spmd_Nr_cellNr % (10 * Feq) == 0)
  {
    cand_Nr_cellNr++;
  }
  else if (spmd_Nr_cellNr > 60000)
  {
    spmd_Nr_cellNr = 0;
  }
  if (cand_Nr_cellNr > cmnc_num_cellUNum)
  {
    cand_Nr_cellNr = 1;
  }

  SOH();
  BLC();
  if (!ihd_flg_urtRecFlt)
  {
    SOC();
  }

  cand_Q_cellCap = sohv_Q_cellCapArrEo[cand_Nr_cellNr - 1];
  cand_V_chrgStartStat = sohv_V_chrgStartStatEo[cand_Nr_cellNr - 1];
  cand_Q_reqCp = blcv_Q_reqCpEo[cand_Nr_cellNr - 1];
  cand_Q_totalCp = blcv_Q_totalCpEo[cand_Nr_cellNr - 1];
  FirstRun_SPM = false;
}
